FinWise API
SupportChangelog

List holdings

Query parameters

filtersnullable object
JSON object, passed as a query-string value.
accountIdnullable string
Filter by account.
paginationnullable object
JSON object with pageNumber and pageSize.
pageNumbernullable number
1-based page. Defaults to 1.
pageSizenullable number
Items per page. Defaults to 100.
GET/account-holdings
curl https://api.finwiseapp.io/account-holdings \
-X GET \
-H "Authorization: Bearer fw_..." \
-H "Content-Type: application/json"
const response = await fetch('https://api.finwiseapp.io/account-holdings', {
method: 'GET',
headers: {
Authorization: 'Bearer fw_...',
'Content-Type': 'application/json',
},
})
const data = await response.json()
Response
[
{
"id": "11aa22bb-33cc-4dde-8eff-445566778899",
"createdAt": "2026-03-14T09:00:00.000Z",
"updatedAt": "2026-03-14T09:00:00.000Z",
"userId": "f472696c-47ac-4873-98cf-2a1069a1cf45",
"accountId": "94d2f962-d4e3-4c99-ab47-8c941cea012a",
"name": "Vanguard Total Stock",
"type": "etf",
"tickerSymbol": "VTI",
"currencyCode": "USD",
"quantity": 12.5,
"price": 280.4,
"value": 3505,
"costBasis": 3100,
"isLinked": false,
"archivedAt": null,
"originalAccountId": null
}
]